<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button color="medium"></ion-back-button>
    </ion-buttons>
    <ion-title>{{'Informations'|translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="userInfo">
  <ion-col size="3" style="margin: auto">
    <ion-icon src="../assets/icon/svg/mecanicien.svg"></ion-icon>
</ion-col>
    <ion-col size="9" style="display: flex;flex-direction: column;
      flex-wrap: wrap;align-content: space-around; justify-content: center;align-items: baseline;">
      <h1 class="h1-bold" >{{'Garagiste'|translate}}</h1>
      <h1 class="h1-dashbord" >{{mecaniciens?.prenom}} {{mecaniciens?.nom}}</h1>
      <h1 class="h1-dashbord" >{{departement?.nom}}</h1>
<!--      <h1 class="h1-dashbord" >{{mecaniciens?.type}}</h1>-->
    </ion-col >
<!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==3 " ></ion-icon>-->
<!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==2 " color="danger"></ion-icon>-->
<!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==1" color="warning"></ion-icon>-->
  </ion-row>
  <ion-row>
    <ion-col size="4">
      <div class="box-icon"  routerLink="/home">
        <ion-icon src="../assets/icon/svg/return.svg"></ion-icon>
      </div>
    </ion-col>
    <ion-col size="4">

    </ion-col>
    <ion-col size="4">
      <div class="box-icon"(click)="infocall(mecaniciens?.tel)">
        <ion-icon  style="color: var(--ion-color-optyblue)" slot="icon-only" name="call-outline"></ion-icon>
      </div>
    </ion-col>

  </ion-row>

  <ion-grid>
    <ion-row>

      <ion-col size="12" (click)="statutmec(mecaniciens?.mecanique, 'mecanique')">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>{{'Mécanique' | translate}}</span>
          <ion-icon *ngIf="mecaniciens?.mecanique==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.mecanique==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.mecanique==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.mecanique==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12" (click)="statutmec(mecaniciens?.carosserie,'carosserie')">
        <div class="cart-dashbord cart-1 fd" >
          <span>{{'Carosserie' | translate}}</span>
          <ion-icon *ngIf="mecaniciens?.carosserie==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.carosserie==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.carosserie==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.carosserie==2" color="orange" name="warning-outline"></ion-icon>
        </div>
      </ion-col>



    </ion-row>
    <ion-row>
      <ion-col size="12" (click)="statutmec(mecaniciens?.electrique,'electrique')">
        <div class="cart-dashbord cart-1 fd" >
          <span>{{'Electrique' | translate}}</span>
          <ion-icon *ngIf="mecaniciens?.electrique==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.electrique==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.electrique==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.electrique==2" color="orange" name="warning-outline"></ion-icon>
        </div>
      </ion-col>
      <ion-col size="12" (click)="statutmec(mecaniciens?.depannage,'depannage')">
        <div class="cart-dashbord cart-1 fd" >
          <span>{{'Dépannage' | translate}}</span>
          <ion-icon *ngIf="mecaniciens?.depannage==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.depannage==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.depannage==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.depannage==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col size="12" (click)="statutmec(mecaniciens?.remorquage,'remorquage')">
        <div class="cart-dashbord cart-1 fd" >
          <span>{{'Remorquage' | translate}}</span>
          <ion-icon *ngIf="mecaniciens?.remorquage==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.remorquage==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.remorquage==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.remorquage==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12" (click)="statutmec(mecaniciens?.vdiagnostic,'vdiagnostic')">
        <div class="cart-dashbord cart-1 fd" >
          <span>{{'Valise de diagnostic' | translate}}</span>
          <ion-icon *ngIf="mecaniciens?.vdiagnostic==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.vdiagnostic==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.vdiagnostic==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="mecaniciens?.vdiagnostic==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>

    </ion-row>
    <ion-row>
      <ion-col size="12">
        <div class="cart-dashbord cart-1 fform" >
          <p style="margin: 0; color: gray;text-align: center;font-size: 5vw">Veuillez donner un avis sur le service ici.</p>
<!--          <form>-->
<!--            <ionic5-star-rating #rating2 activeIcon = "star" defaultIcon = "star-outline" activeColor = "#ffff00"-->
<!--                                defaultColor = "#ffff00" (ratingChanged)="ratingChange2($event)" name="rating"   [(ngModel)]="starRating" fontSize = "25px" >-->
<!--            </ionic5-star-rating>-->
<!--&lt;!&ndash;            <ion-item lines="none">&ndash;&gt;-->
<!--&lt;!&ndash;              <ion-label>Anonyme</ion-label>&ndash;&gt;-->
<!--&lt;!&ndash;              <ion-toggle slot="start" [(ngModel)]="anonyme" name="anonyme"></ion-toggle>&ndash;&gt;-->
<!--&lt;!&ndash;            </ion-item>&ndash;&gt;-->
<!--            <div style=" display: flex;align-items: flex-end; align-content: center;">-->
<!--            <ion-item lines="none">-->
<!--              <ion-label position="floating">Commentaire</ion-label>-->
<!--              <ion-textarea rows="2"  style="&#45;&#45;background: rgba(200,200,200,0.25);border-radius: 5px;width: 90vw;" name="commentaire" [(ngModel)]="review2.commentaire"></ion-textarea>-->
<!--            </ion-item>-->
<!--            <ion-icon style="position: relative;color: #0e65db;font-size: 50px" name="send" type="submit" (click)="onSubmit2()"></ion-icon>-->
<!--            </div>-->
<!--&lt;!&ndash;            <ion-button  shape="round" class="btn btn-secondary btnred " expand="block" type="submit" (click)="onSubmit2()"> Notez </ion-button>&ndash;&gt;-->
<!--          </form>-->

          <ionic5-star-rating activeIcon = "star" defaultIcon = "star-outline" activeColor = "#ffff00"
                              defaultColor = "#ffff00" readonly="true"  [(ngModel)]="starRating" fontSize = "20px"
                              (click)="rating()">
          </ionic5-star-rating >

        </div>
      </ion-col>

    </ion-row>

  </ion-grid>
</ion-content>
<!--<ion-footer>-->

<!--  <ion-toolbar>-->
<!--    <ion-buttons slot="start" routerLink="/home">-->
<!--      <ion-button shape="round" expand="block" fill="solid" color="station">-->
<!--        <ion-icon name="return-up-back-outline" ></ion-icon>-->
<!--      </ion-button>-->
<!--    </ion-buttons>-->

<!--    <ion-buttons (click)="emplacement(mecaniciens?.id)">-->
<!--      <ion-button shape="round" expand="block" fill="solid" color="station" style="margin: auto;">-->
<!--        <ion-icon name="navigate-circle-outline"></ion-icon>-->
<!--      </ion-button>-->
<!--    </ion-buttons>-->
<!--    <ion-buttons slot="end"  (click)="appel(mecaniciens?.tel)">-->
<!--      <ion-button shape="round" expand="block" fill="solid" color="station">-->
<!--        <ion-icon name="call"></ion-icon>-->
<!--      </ion-button>-->
<!--    </ion-buttons>-->
<!--  </ion-toolbar>-->
<!--</ion-footer>-->
